io.etcd.jetcd.api

## Class ClusterGrpc.ClusterBlockingStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractBlockingStub<ClusterGrpc.ClusterBlockingStub>
    - - io.etcd.jetcd.api.ClusterGrpc.ClusterBlockingStub

Enclosing class:
  ClusterGrpc

    public static final class ClusterGrpc.ClusterBlockingStub
    extends io.grpc.stub.AbstractBlockingStub<ClusterGrpc.ClusterBlockingStub>

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ClusterGrpc.ClusterBlockingStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`MemberAddResponse` `memberAdd(MemberAddRequest request)` MemberAdd adds a member into the cluster.
`MemberListResponse` `memberList(MemberListRequest request)` MemberList lists all the members in the cluster.
`MemberRemoveResponse` `memberRemove(MemberRemoveRequest request)` MemberRemove removes an existing member from the cluster.
`MemberUpdateResponse` `memberUpdate(MemberUpdateRequest request)` MemberUpdate updates the member configuration.

### Methods inherited from class io.grpc.stub.AbstractBlockingStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected ClusterGrpc.ClusterBlockingStub build(io.grpc.Channel channel,
                                                    io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<ClusterGrpc.ClusterBlockingStub>`

#### memberAdd

    public MemberAddResponse memberAdd(MemberAddRequest request)

     MemberAdd adds a member into the cluster.

#### memberRemove

    public MemberRemoveResponse memberRemove(MemberRemoveRequest request)

     MemberRemove removes an existing member from the cluster.

#### memberUpdate

    public MemberUpdateResponse memberUpdate(MemberUpdateRequest request)

     MemberUpdate updates the member configuration.

#### memberList

    public MemberListResponse memberList(MemberListRequest request)

     MemberList lists all the members in the cluster.